Bug 491201 - Review Request: ninvaders - Space Invaders clone written in ncurses for cli gaming
Review Request: ninvaders - Space Invaders clone written in ncurses for cli g...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 15:33 EDT by Adam Miller
Modified: 2009-03-25 12:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.1.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2009-03-19 15:33:41 EDT
Spec URL: http://maxamillion.fedorapeople.org/ninvaders.spec
SRPM URL: http://maxamillion.fedorapeople.org/ninvaders-0.1.1-1.src.rpm

Description: 
Ever wanted to place space invaders when you can't find a GUI? Now you can!
ninvaders is a ncurses based space invaders clone to play from the command
line
Comment 1 Susi Lehtola 2009-03-20 11:16:00 EDT
I'll do the review.
Comment 2 Susi Lehtola 2009-03-20 11:26:29 EDT
rpmlint output:

ninvaders.x86_64: W: file-not-utf8 /usr/share/doc/ninvaders-0.1.1/ChangeLog
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

- Fix the rpmlint warning with
 iconv -f iso-8859-1 -t utf8 ChangeLog > ChangeLog.new && \
 touch -r ChangeLog ChangeLog.new && mv ChangeLog.new ChangeLog

- Change buildroot to the Guideline's recommended version
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- Remove Requires: ncurses as this is automatically picked up by rpmbuild.

- Add trailing period to %description

- Enable smp make with
 make %{?_smp_mflags}

- Is there a reason why you change the name of the binary? I think you should keep it consistent with upstream...
Comment 3 Adam Miller 2009-03-20 15:19:20 EDT
Spec URL: http://maxamillion.fedorapeople.org/ninvaders.spec
SRPM URL: http://maxamillion.fedorapeople.org/ninvaders-0.1.1-2.src.rpm

I have fixed all that was mentioned. I also went ahead and changed the name of the binary back to upstream. It was purely a preference choice but I do agree that keeping synchronized with upstream is a better idea.

Thank you for your time, looking forward to further review. :)
Comment 4 Susi Lehtola 2009-03-20 15:33:00 EDT
rpmlint output is clean.

The package adheres to the Fedora Packaging and Package review Guidelines and is thus APPROVED.
Comment 5 Adam Miller 2009-03-20 16:36:08 EDT
New Package CVS Request
=======================
Package Name: ninvaders
Short Description: Space Invaders clone written in ncurses for cli gaming
Owners: maxamillion
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2009-03-22 01:38:36 EDT
cvs done.
Comment 7 Fedora Update System 2009-03-23 10:44:35 EDT
ninvaders-0.1.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ninvaders-0.1.1-2.fc9
Comment 8 Fedora Update System 2009-03-23 10:44:40 EDT
ninvaders-0.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ninvaders-0.1.1-2.fc10
Comment 9 Fedora Update System 2009-03-25 12:03:07 EDT
ninvaders-0.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-03-25 12:12:44 EDT
ninvaders-0.1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.